#ifndef QCD_GRAPHIC_H
#define QCD_GRAPHIC_H

#include <QWidget>
#include <evalspinbox.h>
#include <pistring.h>

namespace CDUtils {
	class CDType;
	class CDSection;
}

namespace Ui {
	class CDGraphicWidget;
}

class Graphic;
class Graphic;


class CDGraphicWidget: public QWidget {
	Q_OBJECT
	friend class CDGraphics;
	friend class GDockWidget;
public:
	CDGraphicWidget(QWidget * p = 0);

	Graphic * graphic() const;
	bool isConfigVisible() const;

	EvalSpinBox * evalSpinBoxHistory();
	EvalSpinBox * evalSpinBoxVisible();

public slots:
	void setConfigVisible(bool on);

private:
	Ui::CDGraphicWidget * ui;

private slots:

signals:

};


#endif // QCD_GRAPHIC_H
